unit FileOpt;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, ComCtrls, StdCtrls, Math;

type
  TFileOptForm = class(TForm)
    LDigits: TLabel;
    EDigits: TEdit;
    CDigits: TUpDown;
    GJPEG: TGroupBox;
    CQuality: TTrackBar;
    LQuality: TLabel;
    CProgressive: TCheckBox;
    Button1: TButton;
    Button2: TButton;
    procedure FormShow(Sender: TObject);
    procedure CQualityChange(Sender: TObject);
    procedure Button2Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  FileOptForm: TFileOptForm;

implementation

uses Main;

{$R *.dfm}

procedure TFileOptForm.FormShow(Sender: TObject);
begin
  CDigits.Position:=MainForm.DestFileDigits;
  CQuality.Position:=MainForm.JPEGQuality;
  CProgressive.Checked:=MainForm.JPEGProgressive;
  CQualityChange(nil);
end;

procedure TFileOptForm.CQualityChange(Sender: TObject);
begin
  LQuality.Caption:=IntToStr(CQuality.Position);
end;

procedure TFileOptForm.Button2Click(Sender: TObject);
begin
  MainForm.DestFileDigits:=CDigits.Position;
  MainForm.JPEGQuality:=Min(Max(CQuality.Position,1),99);
  MainForm.JPEGProgressive:=CProgressive.Checked;
end;

end.
